classification
Title: Idle autocomplete window doesn't show up
Type: behavior Stage: resolved
Components: IDLE Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: JohnnyNajera, miss-islington, taleinat, terry.reedy
Priority: normal Keywords: patch

Created on 2019-11-29 21:14 by JohnnyNajera, last changed 2019-12-10 01:17 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 17416 merged JohnnyNajera, 2019-11-29 21:16
PR 17548 merged miss-islington, 2019-12-10 00:30
PR 17549 merged miss-islington, 2019-12-10 00:30
Messages (6)
msg357654 - (view) Author: JohnnyNajera (JohnnyNajera) * Date: 2019-11-29 21:14
In Ubuntu 19.10 and probably earlier versions of Ubuntu, the autocomplete window  doesn't show up when expected. This is probably due to wm_geometry called in a context in which it has no effect.
msg357656 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-11-30 03:34
IDLE completes global names, attributes, and file names with various invocation methods.  The main problem users have in editor windows is not running the module to update namespaces.  But the claim here (and in the PR) is that there is a timing problem. 

JN,  please post at least one minimal, specific, sometimes reproducible example, with code and user actions, that misbehaves.  Do you have any idea why a 1 millesecond delay helps?

(3.5 and 3.6 only get security fixes.)
msg357753 - (view) Author: JohnnyNajera (JohnnyNajera) * Date: 2019-12-03 13:28
At least this scenario:
Ubuntu 19.10
Open the interpreter
Literally nothing makes the autocomplete window show up.

As mentioned in the PR, it's not about the 1-ms but about being called outside of the event itself.
This can also be fixed by immediately calling `update_idletasks`, but more about this in the PR.

Thanks, have a nice day.
msg358156 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-12-10 00:30
New changeset bbc4162bafe018f07bab0b624b37974cc33daad9 by Terry Jan Reedy (JohnnyNajera) in branch 'master':
bpo-38943: Fix IDLE autocomplete window not always appearing (GH-17416)
https://github.com/python/cpython/commit/bbc4162bafe018f07bab0b624b37974cc33daad9
msg358157 - (view) Author: miss-islington (miss-islington) Date: 2019-12-10 00:46
New changeset 1b0e88dde146eb290735f4b486d4a67074132100 by Miss Islington (bot) in branch '3.7':
bpo-38943: Fix IDLE autocomplete window not always appearing (GH-17416)
https://github.com/python/cpython/commit/1b0e88dde146eb290735f4b486d4a67074132100
msg358158 - (view) Author: miss-islington (miss-islington) Date: 2019-12-10 00:48
New changeset 34d5d5e096ee804e94199bf242469cdf9bbc3316 by Miss Islington (bot) in branch '3.8':
bpo-38943: Fix IDLE autocomplete window not always appearing (GH-17416)
https://github.com/python/cpython/commit/34d5d5e096ee804e94199bf242469cdf9bbc3316
History
Date User Action Args
2019-12-10 01:17:49terry.reedysetversions: - Python 2.7
2019-12-10 01:16:20terry.reedysetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-12-10 00:48:23miss-islingtonsetmessages: + msg358158
2019-12-10 00:46:21miss-islingtonsetnosy: + miss-islington
messages: + msg358157
2019-12-10 00:30:21miss-islingtonsetpull_requests: + pull_request17025
2019-12-10 00:30:14miss-islingtonsetpull_requests: + pull_request17024
2019-12-10 00:30:08terry.reedysetmessages: + msg358156
2019-12-09 23:22:50terry.reedylinkissue27609 dependencies
2019-12-03 13:28:38JohnnyNajerasetmessages: + msg357753
2019-11-30 03:34:11terry.reedysetnosy: + taleinat

messages: + msg357656
versions: - Python 3.5, Python 3.6
2019-11-29 21:16:24JohnnyNajerasetkeywords: + patch
stage: patch review
pull_requests: + pull_request16898
2019-11-29 21:14:46JohnnyNajeracreate